scala.tools.nsc.Global

# closureElimination

#### object closureElimination extends ClosureElimination

Linear Supertypes
ClosureElimination, SubComponent, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. closureElimination
2. ClosureElimination
3. SubComponent
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class ClosureElim extends AnyRef

   Remove references to the environment through fields of a closure object.

2. #### class ClosureEliminationPhase extends Global.icodes.ICodePhase

   The closure elimination phase.

3. #### abstract class PeepholeOpt extends AnyRef

   Peephole optimization.

4. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### final def beforeOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### val global: Global.this.type

    The global environment; overridden by instantiation in Global.

    The global environment; overridden by instantiation in Global.

    Definition Classes
      closureElimination → SubComponent

15. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

16. #### val internal: Boolean

    Internal flag to tell external from internal phases

    Internal flag to tell external from internal phases

    Definition Classes
      SubComponent

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def newPhase(p: Phase): ClosureEliminationPhase

    Create a new phase

    Create a new phase

    Definition Classes
      ClosureElimination → SubComponent

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def ownPhase: Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

23. #### val peephole: PeepholeOpt

    A simple peephole optimizer.

    A simple peephole optimizer.

    Definition Classes
      ClosureElimination

24. #### val phaseName: String

    The name of the phase

    The name of the phase

    Definition Classes
      ClosureElimination → SubComponent

25. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

26. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

27. #### val runsAfter: collection.immutable.List[String]

    List of phase names, this phase should run after

    List of phase names, this phase should run after

    Definition Classes
      closureElimination → SubComponent

28. #### val runsBefore: List[String]

    List of phase names, this phase should run before

    List of phase names, this phase should run before

    Definition Classes
      SubComponent

29. #### val runsRightAfter: None.type

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Definition Classes
      closureElimination → SubComponent

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ClosureElimination

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped